List Folder Continue
Once a cursor has been retrieved from list_folder, use this to paginate through all files and retrieve updates to the folder, following the same rules as documented for list_folder.
Required scope: files.metadata.read
Endpoint format: RPC
Authentication: App, User, Dropbox-API-Select-Admin (Whole Team)
Authentication
App-level OAuth 2.0 token (no user context). Use Authorization: Bearer <token>.
Obtain by calling the token endpoint with grant_type=client_credentials.
Only available on endpoints that declare app auth support.
OAuth 2.0 token issued to a specific user. Use Authorization: Bearer <token>.
Public clients should use the authorization code flow with PKCE (S256).
For background or offline access, send token_access_type=offline during authorization and use the returned refresh token to obtain new access tokens.
You can generate a short-lived access token from the App Console; see Testing with a generated token.
Headers
Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.
Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the team_data.member scope.
Scopes path-based operations to a namespace (root). The value is a JSON serialization of the common.PathRoot union: {".tag": "home"}, {".tag": "root", "root": "<namespace_id>"}, or {".tag": "namespace_id", "namespace_id": "<namespace_id>"}. On failure the request returns 422 with a common.PathRootError.
Request
The cursor returned by your last call to list_folder or list_folder/continue.
Response headers
Response
Pass the cursor into list_folder/continue to see what’s changed in the folder since your previous query.
The files and (direct) subfolders in the folder.
If true, then there are more entries available. Pass the cursor to list_folder/continue to retrieve the rest.